task ngscheckmate_fastq {
  String sample_id
	File fastq_dir
	File input_file
	String docker
	String cluster_config
	String disk_size

	command <<<
		set -o pipefail
		set -e
		nt=$(nproc)
		export NCM_HOME=/opt/NGSCheckMate
		python /opt/NGSCheckMate/ncm_fastq.py -l ${input_file} -pt /opt/NGSCheckMate/SNP/SNP.pt -O '.' -p $nt -f -s 0.3
    # rename
    mv output_all.txt ${sample_id}_output_all.txt
    mv output_corr_matrix.txt ${sample_id}_output_corr_matrix.txt
    mv output_matched.txt ${sample_id}_output_matched.txt
    mv r_script.r ${sample_id}_r_script.r
	>>>

	runtime {
		docker:docker
    	cluster:cluster_config
    	systemDisk:"cloud_ssd 40"
    	dataDisk:"cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File all_txt="${sample_id}_output_all.txt"
		File cor_txt="${sample_id}_output_corr_matrix.txt"
		File matched_txt="${sample_id}_output_matched.txt"
		File r_script="${sample_id}_r_script.r"
	}
}
